arpwatch (2.1a15-9build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Jan 2026 19:50:38 +0000

arpwatch (2.1a15-9) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + arpwatch: Drop versioned constraint on ieee-data in Recommends.
    + Remove 1 maintscript entries from 1 files.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entries 2.1a13-1, 2.1a11-1.
  * Update standards version to 4.6.0, no changes needed.

  [ Sven Geuer ]
  * d/s/litian-overrides: Fix lintian issue mismatched-override.
  * d/watch: Replace out-dated FTP URL with recent HTTPS URL plus matching
    pattern.
  * d/control:
    - Drop lsb-base from Depends.
    - Bump Standards-Version to 4.7.0.
  * d/copyright: Add missing copyright holders to the debian/* stanza.
  * d/salsa-ci.yml: Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ALL.

 -- Sven Geuer <sge@debian.org>  Mon, 02 Sep 2024 21:04:37 +0200

arpwatch (2.1a15-8.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Install arpwatch@.service only once. (Closes: #1054193)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 07 Dec 2023 07:12:41 +0100

arpwatch (2.1a15-8) unstable; urgency=medium

  * Team Upload
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add salsa-ci.yml
  * d/p/54_makefile-dont-change-permissions.patch: New patch to enable building
    without being root
  * d/control: Add Rules-Requires-Root: no
  * d/watch: Bump to v4
  * d/control: Add 'Pre-Depends' field

 -- Samuel Henrique <samueloph@debian.org>  Sun, 31 Jan 2021 16:44:03 +0000

arpwatch (2.1a15-7) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Bump Standards-Version to 4.2.1.

  [ Lukas Schwaighofer ]
  * Avoid running chown and chmod recursively in maintainer scripts.
  * Update ethercodes.db with dropped privileges.

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Thu, 25 Oct 2018 20:32:32 +0200

arpwatch (2.1a15-6) unstable; urgency=medium

  * Remove the autotools-dev dh addon (no longer needed in debhelper 10).
  * Ensure arpwatch is started after network interfaces have been configured
    since it wants to read their configuration. (Closes: 886635)
  * Bump Standards-Version to 4.1.3 (no change needed).
  * Remove trailing whitespaces in debian/changelog.
  * Update to debhelper compatibility level 11.

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Mon, 08 Jan 2018 21:40:49 +0100

arpwatch (2.1a15-5) unstable; urgency=medium

  * fix typo in debian/NEWS release name
  * bump Standards version to 4.0.0 (no change needed)
  * rename triggers and README.Debian into arpwatch.triggers and
    arpwatch.README.Debian respectively
  * refer to arpalert in the package description (Closes: #427775)
  * replace the private _getshort function with ns_get16 to avoid a build log
    warning because of an implicit declaration
  * fix two spelling mistakes, shorten URL in patch file

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Fri, 21 Jul 2017 21:01:33 +0200

arpwatch (2.1a15-4) unstable; urgency=medium

  * improve the description of the -a flag in the arpwatch man page
  * change the -N option to only stop reporting bogons as described in the man
    page; Thanks to Gokdeniz Karadag (Closes: #480835)
    - previosuly this option would cause arpwatch to process bogons similar to
      packets beloinging to the local subnet
    - processing all bogons as normal (what -N previously did) is still
      possible by combining the -N flag with -a
    - explain this change to users in NEWS
  * do not automatically watch everything (0/0) when started on an
    unconfigured network, instead leave it up to the admin to configure
    - explain this change to users in NEWS
  * explain how to disable the automatic update of the ethercode database in
    README.Debian
  * exit cleanly (with code 0) when arpwatch is terminated using SIGTERM
    - adjust systemd service accordingly
  * configure systemd to restart arpwatch automatically after unclean exit
  * drop the -R option to restart arpwatch on errors; restarting on error is
    now performed by systemd (Closes: #551350)
    - explain this change to users in NEWS
  * start arpwatch after the network is ready (important e.g. when using
    bridges) also when the LSB init script is used (Closes: #862149)
  * add -F option, allowing users to specify a custom pcap filter
    (Closes: #600886)
  * Add a PCAP_FILTER option to /etc/default/arpwatch which allows specifying
    a pcap filter that includes spaces (also available per interface)
  * Improve option parsing and description for the -z option (Closes: #334599)
  * refresh patches
  * prefix control files in debian/ with packagename

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Thu, 22 Jun 2017 00:02:18 +0200

arpwatch (2.1a15-3) experimental; urgency=low

  * maintain arpwatch as part of the pkg-security team
    (Closes: #686996)
  * add missing dependency on lsb-base
  * bump Standards version (no change needed)
  * netinet/if_ether.h is part of libc6-dev (Closes: #155182)
  * ignore 802.1q (vlan) frames (Closes: #625796)
  * clarify unconfigured iface message (Closes: #756062)
  * initialize ignore_net properly.
    Thanks to Lucas Serrano (Closes: #728921)
  * move LSB init script from init.d to arpwatch.init
  * add systemd unit files
  * install additional arpwatch@.service unit file
  * no more /etc/arpwatch.conf, add README with instructions
  * adjust LSB startup for new configuration format
  * turn on additional hardening
  * explain upstream differences in README.Debian
  * explain what to do on upgrade in NEWS
  * fix configure.in/aclocal.m4 errors for autoreconf
  * use debhelper compatibility level 10
  * use ethercodes from ieee-data; override the ethercodes.dat lintian warning
    (only part of the source and no longer used in the binary package)
  * massagevendor needs GNU awk, minor fixes
  * disable backup in preinst + restore in postinst
  * remove dmassagevendor, a script that allows creating a ethercodes
    database from multiple sources (arpwatch now uses ieee-data)
  * patch Makefile.in to create the required sbin directory

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Thu, 06 Apr 2017 20:08:51 +0200

arpwatch (2.1a15-2) unstable; urgency=low

  * QA upload.

  [ Florian Schlichting ]
  * Switch to source format 3.0 (quilt)

  [ Axel Beckert ]
  * Change maintainer to Debian QA Group. (see #686996).
  * Apply wrap-and-sort.
  * Add DEP3-compliant bug report references to
    debian/patches/41_bug705894-long-hostnames
  * Bump debhelper compatibility level to 9
    + Update versioned debhelper build-dependency accordingly.
  * Add arp.dat to debian/clean.
  * Revamp debian/rules:
    + Use dh_autotools-dev_{update,restore} instead of rm + cp.
    + Use dh_auto_{configure,build,install,clean}.
    + Drop now redundant manual removal of stamp files.
    + Use dh_install and debian/install instead of calling "install".
    + Use d/{examples,manpages} instead of dh_install{examples,manpages}.
    + Drop now obsolete dh_installchangelogs parameters.
    + Finally switch to a minimal dh v7 style debian/rules files.
  * Remove not and no more needed entries from debian/dirs.
  * Add description and short description headers to init script.
  * Remove dh_make template from debian/watch.
  * Convert debian/copyright to machine-readable DEP5 format
    + Correctly declare license as (derivative of) the BSD 4 clause
      license.
    + Add Florian Schlichting and myself to packaging copyright holders.
  * Source /lib/lsb/init-functions in init script.
  * Declare compliance with Debian Policy 3.9.6.
  * Implement status option in init script.
  * Add Vcs-* headers.
  * Add patch to pass $CPPFLAGS to C compiler, too. Fixes lintian warning
    hardening-no-fortify-functions.
  * Extract all non-C files (man pages, scripts, etc.)  which were
    previously shipped as patches into normal files under debian/.
  * Fix some more hyphen-used-as-minus-sign lintian warnings.
  * Remove unneeded changes (in FILES and INSTALL) from
    debian/patches/009_bihourly_bihourly-sh.
  * Update debian/patches/17opt_ignorenet to fix segfault when using -z
    without netmask. Patch by Sebastian Reichel. (Closes: #289135)
    + Refresh debian/patches/26unconf_iface.
  * Add patch to fix no more working "sort +<n>" syntax in arp2ethers.
    (Closes: #545669)

 -- Axel Beckert <abe@debian.org>  Sat, 13 Jun 2015 23:16:32 +0200

arpwatch (2.1a15-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * Fix buffer overflow with hostnames longer than 33 characters (patch from
    Christoph Biedl). Closes: #705894, LP: #1097289

 -- Florian Schlichting <fsfs@debian.org>  Sat, 25 Oct 2014 23:12:41 +0200

arpwatch (2.1a15-1.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix initgroups() adding the gid 0 group to the list. Instead of dropping
    privileges it was in fact adding it. This is CVE-2012-2653. closes: #674715
  * debian/rules:
    - enable hardening flags.
  * Makefile.in: add LDFLAGS support.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 27 May 2012 09:20:52 +0200

arpwatch (2.1a15-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Revert change in previous NMU that makes
    /usr/share/arpwatch/ethercodes.dat a conffile; users who need to modify
    this can use dpkg-divert instead.  Closes: #552792, #550233.
  * Fix lintian errors introduced in previous upload:
    - maintainer script debhelper tokens
    - remove vestigial debian/cron.d.ex
  * Drop dependency on debianutils, which is essential
  * Fix author(s) boilerplate in debian/copyright
  * Bump standards version to 3.8.3 (no changes needed)

 -- Steve Langasek <vorlon@debian.org>  Sun, 24 Jan 2010 08:57:38 +0000

arpwatch (2.1a15-1) unstable; urgency=low

  * Non-maintainer upload to fix some outstanding bugs
  * latest upstream release (Closes: #427867)
  * converted packaging from dbs to debhelper
  * applied all existing patches from old 2.1a13 package
  * made bihourly.sh an example, and copied bihourly cron script from
    arpwatch-2.1a13
  * added my pretty-print-arpwatch.pl script as an example
  * deleted duplicate errs= line from bihourly (Closes: #321504)
  * fixed sprintf in ec.c to zero-pad MAC addresses (Closes: #315215)
  * Applied patch from Sebastian Reichelt <SebastianR@gmx.de> to
    initialise interface variable (Closes: #289426)
  * updated watch file to v3 (Closes: #529097)
  * applied patch from Sebastian Reichelt to display IP in subject if
    hostname unknown (Closes: #288994)
  * updated ethercodes.dat from latest IEEE listing (~5000 new entries)
  * made /usr/share/arpwatch/ethercodes.dat a conffile so upgrades wont
    silently overwrite it if the user updates it.
  * installed arpwatch's *.awk scripts into /usr/lib/arpwatch and edited
    massagevendor to set AWKPATH before running awk.

 -- Craig Sanders <cas@taz.net.au>  Tue, 01 Sep 2009 20:00:54 +1000

arpwatch (2.1a13-2.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #460248).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Mar 2008 09:30:56 +0100

arpwatch (2.1a13-2) unstable; urgency=high

  * [Daniel Hermann] Post-install fixes. (Closes: #271134)

 -- KELEMEN Péter <fuji@debian.org>  Wed, 15 Sep 2004 15:53:44 +0200

arpwatch (2.1a13-1) unstable; urgency=medium

  * The "Tying Up Loose Ends" release.
  * Acknowledging NMU by Javier Fernández-Sanguino Peña, thanks.
  * Acknowledging NMU by Torsten Landschoff, thanks.
  * New upstream release.
  * Fixed insecure tempfile handling. (Closes: #256381)
  * [Dean Gaudet] -u option to drop privileges. (Closes: #217488)
  * [Per Andreas Buer] -Q option not to send mail.
  * [Julien Brouchier] -z option to ignore network. (Closes: #95369)
  * [Blars Blarson] Print interface info. (Closes: #140504)
  * [J. Fernández-Sanguino Peña] arp2ethers file handling. (Closes: #260818)
  * [Christoph Biedl] -R option to restart after ifdown. (Closes: #170338)
  * [Christoph Biedl] Support ignoring 0.0.0.0 IPs. (Closes: #142192, #160369)
  * [Christoph Biedl] Support unconfigured interfaces. (Closes: #76365, #240399)
  * [Christoph Biedl] From: field contains running host. (Closes: #265158)
  * [Justin Doiel] Support building out-of-tree.
  * Updated Ethernet vendor database, ~2000 new entries.
    (Closes: #140731, #146643, #227375)
  * debian/arpwatch.conf:
    - Get rid of @example.com domain. (Closes: #197138)
  * debian/init.d:
    - Run daemon only if executable. (Closes: #211645)
    - Drop privileges by default. (Closes: #263184)
  * debian/arpwatch-default:
    - Common options extracted from init.d script.
  * debian/arpwatch.preinst, debian/arpwatch.postinst:
    - Revamped backup/restore mechanism. (Closes: #145259, #149099, #259543)
  * debian/arpwatch.postrm:
    - [J. Fernández-Sanguino Peña] Remove arpwatch database directory on purge.
  * debian/control:
    - Standards-Version: 3.6.1
    - Depends: debianutils, adduser (Closes: #265287)
    - Build-Depends: debhelper (>= 4.0.0)
    - Description: Ethernet/FDDI station activity monitor
  * debian/changelog:
    - UTF-8 encoding.

 -- KELEMEN Péter <fuji@debian.org>  Sat, 14 Aug 2004 00:28:34 +0200

arpwatch (2.1a11-6.3) unstable; urgency=medium

  * Fixed postinst error introduced in previous NMU (Closes: #259543)
  * Postrm removes files under /var/lib/arpwatch/ on purge

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 17 Jul 2004 15:47:24 +0200

arpwatch (2.1a11-6.2) unstable; urgency=low

  * Fixed race condition in the bihourly and arpfetch cron scripts.
    (Closes: #256381)
    [patch 023_arpfetch]
  * Added the -u flag to run arpwatch with lower privileges as suggested
    by Den Gaudet and with a patch based on RedHat's. Also, the
    'arpwatch' user is created on postinst and used by the init
    script (Closes: #217488)
    [patch 024_username]
  * Changed test statement in the init script from -f to -x (Closes: #211645)
  * Added Multicast, VRRP (note), VMWare (retrieved from FreeBSD's ethercodes)
    and Compaq MAC addresses (Closes: #227375)
  * Changed the sample lines of the configuration file to just 'root'
    instead of 'root+ethX@example.com' (Closes: #197138)
  * Create an empty arp.dat file at /var/lib/arpwatch/ if it does not
    exist when running 'start_default()' in the init script. This will
    make arpwatch work even if you have not customised arpwatch.conf or
    the preinst fails to create that file.
    (Closes: #145259)
    [patch 025_arpdat]
  * Small improvements in arp2ethers so that it uses the default location
    of the arp.dat file, also noticed this in the manpage.
    [patch 026_arp2ethers2]

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 26 Jun 2004 18:34:49 +0200

arpwatch (2.1a11-6.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:36:45 +0200

arpwatch (2.1a11-6) unstable; urgency=low

  * [Vincent Letocart] Fixed missing `arp.dat' upon fresh install.
  * Fixed dmassagevendor(8) parser to include private Ethernet address ranges.
  * Updated Ethernet vendor database, 200+ new entries.

 -- KELEMEN Peter <fuji@debian.org>  Thu,  7 Mar 2002 18:48:24 +0100

arpwatch (2.1a11-5) unstable; urgency=MEDIUM

  * The "Trivial Bug Overlooked" upload.
  * Fixed init.d restart target. (Closes: #122201)

 -- KELEMEN Peter <fuji@debian.org>  Mon, 17 Dec 2001 13:59:32 +0100

arpwatch (2.1a11-4) unstable; urgency=MEDIUM

  * Fixed inability to start multiple instances. (Closes: #123191)
  * Updated Ethernet vendor database, 100+ new entries.

 -- KELEMEN Peter <fuji@debian.org>  Mon, 17 Dec 2001 13:40:55 +0100

arpwatch (2.1a11-3) unstable; urgency=MEDIUM

  * Fixed hardcoded libc6 dependency. (Closes: #120305)
  * Fixed init.d functions POSIX-conformance. (Closes: #117796)
  * Fixed arpwatch.conf options parsing.
  * No more recommends sendmail explicitly.
  * Updated debian/arpwatch.preinst to save multiple databases.
  * Updated debian/arpwatch.postinst to restore multiple databases.

 -- KELEMEN Peter <fuji@debian.org>  Sat, 24 Nov 2001 14:07:56 +0100

arpwatch (2.1a11-2) unstable; urgency=low

  * Previous upload rejected due to signing errors.

 -- KELEMEN Peter <fuji@debian.org>  Mon, 29 Oct 2001 14:55:57 +0100

arpwatch (2.1a11-1) unstable; urgency=low

  * New Upstream Release.
  * Supports watching multiple interfaces. (Closes: #74888)
  * Updated Ethernet vendor database, 600+ new entries.
  * Fixed init.d script comments. (Closes: #114893)

 -- KELEMEN Peter <fuji@debian.org>  Fri, 26 Oct 2001 14:56:25 +0200

arpwatch (2.1a10-3) unstable; urgency=low

  * Fixed minor manual page incosistencies. (Closes: #93851)
  * [Hugo Graumann] Contributed all missing manpages. (Closes: #76367)
  * Introducing dmassagevendor(8) as alternative of massagevendor(8).

 -- KELEMEN Peter <fuji@debian.org>  Tue, 17 Apr 2001 14:33:19 +0200

arpwatch (2.1a10-2) unstable; urgency=low

  * [Hugo Graumann] arp2ethers.8 manual page.

 -- KELEMEN Peter <fuji@debian.org>  Wed, 11 Apr 2001 19:44:18 +0200

arpwatch (2.1a10-1) unstable; urgency=low

  * New Upstream Release. (Closes: #82755)
  * Fixed debhelper build dependency. (Closes: #70134)
  * Fixed libpcap-dev build dependency. (Closes: #76792)
  * Fixed typo in README.Debian. (Closes: #76368)
  * Fixed too early startup. (Closes: #70473)
  * Fixed init.d script $ARGS usage. (Closes: #70568, #76012)
  * [Zygo Blaxell] -p option to disable promisc mode. (Closes: #44838)
  * [Jerome Petazzoni] -m option to specify mail address. (Closes: #76794)
  * [Jerome Petazzoni] -a option to watch all subnets.
  * Updated Ethernet vendor database.
  * Updated massagevendor(8) and man page.
  * Reverted Colin Phipps' tmprace patch since upstream provided a fix.
  * Reverted my bogonkill patch since upstream provided such functionality.
  * Security: arpwatch now drops root privileges after startup.
  * Build: local override to suppress lintian warning of /var/lib/arpwatch mode.

 -- KELEMEN Peter <fuji@debian.org>  Mon,  9 Apr 2001 17:48:11 +0200

arpwatch (2.1a4-6) unstable; urgency=low

  * Maintenance upload since 2.1a4-4 and 2.1a4-5 were rejected due to
    parallel frozen/unstable uploads.

 -- KELEMEN Peter <fuji@debian.org>  Fri, 28 Apr 2000 14:52:06 +0200

arpwatch (2.1a4-5) frozen unstable; urgency=low

  * Updated /etc/init.d/arpwatch script. (Closes: #57284)

 -- KELEMEN Peter <fuji@debian.org>  Wed, 19 Apr 2000 10:34:47 +0200

arpwatch (2.1a4-4) frozen unstable; urgency=low

  * Updated 3000+ Ethernet vendor codes. (Closes: #45905)
  * [Peter T. Breuer] Configurable sendmail(8) path. (Closes: #53036)
  * Attempt to save ARP database on upgrade. (Closes: #61556)
  * New massagevendor(8) script.

 -- KELEMEN Peter <fuji@debian.org>  Fri, 14 Apr 2000 17:18:14 +0200

arpwatch (2.1a4-3) frozen; urgency=low

  * [Colin Phipps] Fixed /tmp race condition. (Closes: #56823)
  * [Erik Warmelink] Fixed arp2ethers multiple MAC behavior. (Closes: #60859)

 -- KELEMEN Peter <fuji@debian.org>  Tue, 21 Mar 2000 12:08:56 +0100

arpwatch (2.1a4-2) unstable; urgency=low

  * Implemented `-b' flag to suppress bogon messages. (Closes: #36199)
  * Changed Architecture: from `i386' to `any'. (Closes: #36259)
  * Disabled automatic update of Ethernet vendor codes. (Closes: #36260)
  * Moved database directory from /var/run/ to /var/lib/. (Closes: #36293)
  * Fixed and updated arpwatch.8 manpage. (Closes: #36312)
  * Fixed `restart' option in init.d script.
  * Updated Ethernet vendor codes.

 -- KELEMEN Peter <fuji@debian.org>  Fri, 23 Apr 1999 20:55:04 +0200

arpwatch (2.1a4-1) unstable; urgency=low

  * Initial Release.

 -- KELEMEN Peter <fuji@debian.org>  Mon, 12 Apr 1999 18:30:09 +0200
